Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.newhope
Class NHOtherInfoGenerator.PartyU

    java.lang.Object
      org.bouncycastle.pqc.crypto.newhope.NHOtherInfoGenerator
          org.bouncycastle.pqc.crypto.newhope.NHOtherInfoGenerator.PartyU

Enclosing class:
  NHOtherInfoGenerator

public static class NHOtherInfoGenerator.PartyU
extends NHOtherInfoGenerator

Party U (initiator) generation.

Nested Class Summary

Nested classes inherited from class org.bouncycastle.pqc.crypto.newhope.NHOtherInfoGenerator
`NHOtherInfoGenerator.PartyU, NHOtherInfoGenerator.PartyV`

Field Summary

Fields inherited from class org.bouncycastle.pqc.crypto.newhope.NHOtherInfoGenerator
`otherInfoBuilder, random, used`

Constructor Summary
`NHOtherInfoGenerator.PartyU(AlgorithmIdentifier algorithmID, byte[] partyUInfo, byte[] partyVInfo, java.security.SecureRandom random)`

Method Summary
`DEROtherInfo` | `generate(byte[] suppPrivInfoPartB)`
`byte[]` | `getSuppPrivInfoPartA()`
`NHOtherInfoGenerator` | `withSuppPubInfo(byte[] suppPubInfo)` Add optional supplementary public info (DER tagged, implicit, 0).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NHOtherInfoGenerator.PartyU

    public NHOtherInfoGenerator.PartyU(AlgorithmIdentifier algorithmID,
                                       byte[] partyUInfo,
                                       byte[] partyVInfo,
                                       java.security.SecureRandom random)

Method Detail

### withSuppPubInfo

    public NHOtherInfoGenerator withSuppPubInfo(byte[] suppPubInfo)

  Add optional supplementary public info (DER tagged, implicit, 0).

  Parameters:
    `suppPubInfo` - supplementary public info.
  Returns:
    the current builder instance.

### getSuppPrivInfoPartA

    public byte[] getSuppPrivInfoPartA()

### generate

    public DEROtherInfo generate(byte[] suppPrivInfoPartB)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD